package com.bjtdba.order.service;

import com.bjtdba.entity.order.StoreProduct;
import com.bjtdba.order.vo.ProductXihuan;

import java.math.BigDecimal;
import java.util.List;

/**
 * 商品表(StoreProduct)表服务接口
 *
 * @author makejava
 * @since 2022-09-28 11:05:36
 */
public interface StoreProductService {

    /**
     * 通过ID查询单条数据
     *
     * @param productId 主键
     * @return 实例对象
     */
    StoreProduct queryById(Long productId);

    /**
     * 分页查询
     *
     * @param storeProduct 筛选条件
     * @return 查询结果
     */
//    Page<StoreProduct> queryByPage(StoreProduct storeProduct, PageRequest pageRequest);
    public List<StoreProduct> queryList(StoreProduct storeProduct);

    /**
     * 新增数据
     *
     * @param storeProduct 实例对象
     * @return 实例对象
     */
    StoreProduct insert(StoreProduct storeProduct);

    /**
     * 修改数据
     *
     * @param storeProduct 实例对象
     * @return 实例对象
     */
    StoreProduct update(StoreProduct storeProduct);

    /**
     * 通过主键删除数据
     *
     * @param productId 主键
     * @return 是否成功
     */
    boolean deleteById(Long productId);

    /**
     * 统计养老金
     * @param good_id
     * @param price
     * @param dc
     * @return
     */
    public  BigDecimal  yanglaojin(StoreProduct storeProduct, BigDecimal price,  BigDecimal dc);

    /**
     * 函数查询 子集id
     * @param cateId
     * @return
     */

    public String getCateIds(Integer cateId);

    /**
     * 猜你喜欢列表
     */
    public List<ProductXihuan> Productxihuan();

}
